Consultar saldo da subconta
curl --request GET \
--url https://api.uvvipay.com.br/v1/submerchants/{internalId}/balance \
--header 'client-id: <api-key>' \
--header 'client-secret: <api-key>'import requests
url = "https://api.uvvipay.com.br/v1/submerchants/{internalId}/balance"
headers = {
"client-secret": "<api-key>",
"client-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'client-secret': '<api-key>', 'client-id': '<api-key>'}
};
fetch('https://api.uvvipay.com.br/v1/submerchants/{internalId}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"internalId": "5b9f3d6a-3a2c-4d6f-9b9e-0a1b2c3d4e5f",
"available": 150000,
"scheduled": 250000,
"financialReserved": 10000
}Saldo e saque
Consultar saldo
Retorna o saldo agregado da subconta com os campos: identificador interno (internalId), disponível (available), agendado (scheduled) e reserva financeira (financialReserved). Todos os valores monetários são retornados em centavos.
GET
/
v1
/
submerchants
/
{internalId}
/
balance
Consultar saldo da subconta
Retorna o saldo da subconta em centavos: disponível (
available), agendado
(scheduled) e reserva financeira (financialReserved).Headers
Secret da credencial do merchant
ID público da credencial do merchant
Path Parameters
Identificador interno (UUID) da subconta
Response
Saldo da subconta retornado com sucesso
Saldo agregado da subconta. Todos os valores estão em centavos (inteiros).
Identificador interno (UUID) da subconta.
Example:
"5b9f3d6a-3a2c-4d6f-9b9e-0a1b2c3d4e5f"
Saldo disponível para saque/uso, em centavos.
Example:
150000
Saldo agendado (a receber em datas futuras), em centavos.
Example:
250000
Saldo em reserva financeira (retido), em centavos.
Example:
10000

